Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.metadata.iso19115
Class CitedResponsibleParty

    java.lang.Object
      org.deegree.model.metadata.iso19115.CitedResponsibleParty

All Implemented Interfaces:
  Serializable

    public class CitedResponsibleParty

extends Object
implements Serializable

CitedResponsibleParty_Impl.java Created on 16. September 2002, 09:55

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $ *
Author:
  Axel Schaefer
See Also:
  Serialized Form

Constructor Summary
`CitedResponsibleParty(ContactInfo[] contactinfo, String[] individualname, String[] organisationname, String[] positionname, RoleCode[] rolecode)` Creates a new instance of CitedResponsibleParty_Impl
`CitedResponsibleParty(List<ContactInfo> contactInfo, List<String> individualName, List<String> organizationName, List<String> positionName, List<RoleCode> roleCode)` Creates new instance through `List`s.

Method Summary
`void` | `addContactInfo(ContactInfo contactinfo)`
`void` | `addIndividualName(String individualname)`
`void` | `addOrganisationName(String organisationname)`
`void` | `addPositionName(String positionname)`
`void` | `addRoleCode(RoleCode rolecode)`
`ContactInfo[]` | `getContactInfo()`
`String[]` | `getIndividualName()`
`String[]` | `getOrganisationName()`
`String[]` | `getPositionName()`
`RoleCode[]` | `getRoleCode()`
`void` | `setContactInfo(ContactInfo[] contactinfo)`
`void` | `setIndividualName(String[] individualname)`
`void` | `setOrganisationName(String[] organisationname)`
`void` | `setPositionName(String[] positionname)`
`void` | `setRoleCode(RoleCode[] rolecode)`
`String` | `toString()` to String method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CitedResponsibleParty

    public CitedResponsibleParty(List<ContactInfo> contactInfo,
                                 List<String> individualName,
                                 List<String> organizationName,
                                 List<String> positionName,
                                 List<RoleCode> roleCode)

  Creates new instance through `List`s.

  Parameters:
    `contactInfo` -
    `individualName` -
    `organizationName` -
    `positionName` -
    `roleCode` -

### CitedResponsibleParty

    public CitedResponsibleParty(ContactInfo[] contactinfo,
                                 String[] individualname,
                                 String[] organisationname,
                                 String[] positionname,
                                 RoleCode[] rolecode)

  Creates a new instance of CitedResponsibleParty_Impl

Method Detail

### getContactInfo

    public ContactInfo[] getContactInfo()

  Returns:
    ContactInfo-Array

### addContactInfo

    public void addContactInfo(ContactInfo contactinfo)

  See Also:
    `getContactInfo()`

### setContactInfo

    public void setContactInfo(ContactInfo[] contactinfo)

  See Also:
    `getContactInfo()`

### getIndividualName

    public String[] getIndividualName()

  Returns:
    String-Array

### addIndividualName

    public void addIndividualName(String individualname)

  See Also:
    `getIndividualName()`

### setIndividualName

    public void setIndividualName(String[] individualname)

  See Also:
    `getIndividualName()`

### getOrganisationName

    public String[] getOrganisationName()

  Returns:
    String-Array

### addOrganisationName

    public void addOrganisationName(String organisationname)

  See Also:
    `getOrganisationName()`

### setOrganisationName

    public void setOrganisationName(String[] organisationname)

  See Also:
    `getOrganisationName()`

### getPositionName

    public String[] getPositionName()

  Returns:
    String-Array

### addPositionName

    public void addPositionName(String positionname)

  See Also:
    `getPositionName()`

### setPositionName

    public void setPositionName(String[] positionname)

  See Also:
    `getPositionName()`

### getRoleCode

    public RoleCode[] getRoleCode()

  Returns:
    RoleCode-Array

### addRoleCode

    public void addRoleCode(RoleCode rolecode)

  See Also:
    `getRoleCode()`

### setRoleCode

    public void setRoleCode(RoleCode[] rolecode)

  See Also:
    `getRoleCode()`

### toString

    public String toString()

  to String method

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org